Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 608718 - [RHEL6] cannot resolve stack trace -- apic_timer_interrupt soft IRQ handler
[RHEL6] cannot resolve stack trace -- apic_timer_interrupt soft IRQ handler
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: crash (Show other bugs)
6.0
i686 Linux
low Severity medium
: rc
: ---
Assigned To: Dave Anderson
Chao Ye
:
Depends On: 608174
Blocks: 608714
  Show dependency treegraph
 
Reported: 2010-06-28 10:35 EDT by Dave Anderson
Modified: 2010-11-10 15:04 EST (History)
4 users (show)

See Also:
Fixed In Version: crash-5.0.0-20.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 608174
Environment:
Last Closed: 2010-11-10 15:04:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 RHEL Product and Program Management 2010-06-28 11:03:19 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 6 Chao Ye 2010-09-03 04:11:57 EDT
Reproduced with crash-5.0.0-15.el6:
============================================================
[root@dell-p420-01 work]# rpm -q crash
crash-5.0.0-15.el6.i686
[root@dell-p420-01 work]# crash vmlinux 1036223-vmcore 

crash 5.0.0-15.el6
Copyright (C) 2002-2010  Red Hat, Inc.
Copyright (C) 2004, 2005, 2006  IBM Corporation
Copyright (C) 1999-2006  Hewlett-Packard Co
Copyright (C) 2005, 2006  Fujitsu Limited
Copyright (C) 2006, 2007  VA Linux Systems Japan K.K.
Copyright (C) 2005  NEC Corporation
Copyright (C) 1999, 2002, 2007  Silicon Graphics, Inc.
Copyright (C) 1999, 2000, 2001, 2002  Mission Critical Linux, Inc.
This program is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions.  Enter "help copying" to see the conditions.
This program has absolutely no warranty.  Enter "help warranty" for details.
 
GNU gdb (GDB) 7.0
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-pc-linux-gnu"...

      KERNEL: vmlinux                           
    DUMPFILE: 1036223-vmcore
        CPUS: 4
        DATE: Thu Jun 17 04:02:31 2010
      UPTIME: 11:50:52
LOAD AVERAGE: 0.39, 0.09, 0.03
       TASKS: 71
    NODENAME: reshp08.uscmail.dcn
     RELEASE: 2.6.9-89.ELsmp
     VERSION: #1 SMP Mon Apr 20 10:34:33 EDT 2009
     MACHINE: i686  (3067 Mhz)
      MEMORY: 2.5 GB
       PANIC: "Oops: 0000 [#1]" (check log for details)
         PID: 7261
     COMMAND: "prelink"
        TASK: f5f46730  [THREAD_INFO: c40a1000]
         CPU: 3
       STATE: TASK_RUNNING (PANIC)

crash> bt
PID: 7261   TASK: f5f46730  CPU: 3   COMMAND: "prelink"
 #0 [c03dfe5c] disk_dump at f895224e
 #1 [c03dfe60] printk at c012351f
 #2 [c03dfe6c] freeze_other_cpus at f8951f71
 #3 [c03dfe7c] start_disk_dump at f8952026
 #4 [c03dfe8c] try_crashdump at c01359fa
 #5 [c03dfe94] die at c0106049
 #6 [c03dfec8] do_page_fault at c011bad4
 #7 [c03dffa8] error_code (via page_fault) at c02de3d9
    EAX: c039eca8  EBX: 00000001  ECX: c243a800  EDX: 00000200  EBP: 00000003 
    DS:  007b      ESI: c039eca8  ES:  007b      EDI: 0000000a
    CS:  0060      EIP: c0125997  ERR: ffffffff  EFLAGS: 00010202 
 #8 [c03dffe4] wait_noreap_copyout at c0125997
--- <soft IRQ> ---
bt: cannot resolve stack trace:
bt: text symbols on stack:
    [c40a1e60] printk at c0123524
    [c40a1e6c] freeze_other_cpus at f8951f76
    [c40a1e7c] start_disk_dump at f895202b
    [c40a1e8c] try_crashdump at c01359fc
    [c40a1e94] die at c010604e
    [c40a1eac] vprintk at c012365d
    [c40a1ec0] do_page_fault at c011b6e9
    [c40a1ec8] do_page_fault at c011bad9
    [c40a1ed8] wait_noreap_copyout at c0125997
    [c40a1ee8] recalc_task_prio at c011d5c2
    [c40a1f10] activate_task at c011d655
    [c40a1f2c] try_to_wake_up at c011dc49
    [c40a1f58] recalc_task_prio at c011d5c2
    [c40a1f80] activate_task at c011d655
    [c40a1fa0] do_page_fault at c011b6e9
    [c40a1fa8] error_code at c02de3db
    [c40a1fdc] wait_noreap_copyout at c0125997
    [c40a1fe8] __do_softirq at c0127748
    [c40a1ffc] do_softirq at c0108207
bt: possible exception frame:
  KERNEL-MODE EXCEPTION FRAME AT c40a1fb4:
    EAX: c039eca8  EBX: 00000001  ECX: c243a800  EDX: 00000200  EBP: 00000003 
    DS:  007b      ESI: c039eca8  ES:  007b      EDI: 0000000a
    CS:  0060      EIP: c0125997  ERR: ffffffff  EFLAGS: 00010202 
crash> 

Verified with :
============================================================
[root@dell-p420-01 work]# rpm -q crash
crash-5.0.0-23.el6.i686
[root@dell-p420-01 work]# crash vmlinux 1036223-vmcore 

crash 5.0.0-23.el6
Copyright (C) 2002-2010  Red Hat, Inc.
Copyright (C) 2004, 2005, 2006  IBM Corporation
Copyright (C) 1999-2006  Hewlett-Packard Co
Copyright (C) 2005, 2006  Fujitsu Limited
Copyright (C) 2006, 2007  VA Linux Systems Japan K.K.
Copyright (C) 2005  NEC Corporation
Copyright (C) 1999, 2002, 2007  Silicon Graphics, Inc.
Copyright (C) 1999, 2000, 2001, 2002  Mission Critical Linux, Inc.
This program is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions.  Enter "help copying" to see the conditions.
This program has absolutely no warranty.  Enter "help warranty" for details.
 
GNU gdb (GDB) 7.0
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-pc-linux-gnu"...

      KERNEL: vmlinux                           
    DUMPFILE: 1036223-vmcore
        CPUS: 4
        DATE: Thu Jun 17 04:02:31 2010
      UPTIME: 11:50:52
LOAD AVERAGE: 0.39, 0.09, 0.03
       TASKS: 71
    NODENAME: reshp08.uscmail.dcn
     RELEASE: 2.6.9-89.ELsmp
     VERSION: #1 SMP Mon Apr 20 10:34:33 EDT 2009
     MACHINE: i686  (3067 Mhz)
      MEMORY: 2.5 GB
       PANIC: "Oops: 0000 [#1]" (check log for details)
         PID: 7261
     COMMAND: "prelink"
        TASK: f5f46730  [THREAD_INFO: c40a1000]
         CPU: 3
       STATE: TASK_RUNNING (PANIC)

crash> bt
PID: 7261   TASK: f5f46730  CPU: 3   COMMAND: "prelink"
 #0 [c03dfe5c] disk_dump at f895224e
 #1 [c03dfe60] printk at c012351f
 #2 [c03dfe6c] freeze_other_cpus at f8951f71
 #3 [c03dfe7c] start_disk_dump at f8952026
 #4 [c03dfe8c] try_crashdump at c01359fa
 #5 [c03dfe94] die at c0106049
 #6 [c03dfec8] do_page_fault at c011bad4
 #7 [c03dffa8] error_code (via page_fault) at c02de3d9
    EAX: c039eca8  EBX: 00000001  ECX: c243a800  EDX: 00000200  EBP: 00000003 
    DS:  007b      ESI: c039eca8  ES:  007b      EDI: 0000000a
    CS:  0060      EIP: c0125997  ERR: ffffffff  EFLAGS: 00010202 
 #8 [c03dffe4] wait_noreap_copyout at c0125997
--- <soft IRQ> ---
 #0 [c40a1fb0] do_softirq at c0108207
 #1 [c40a1fb8] smp_apic_timer_interrupt at c01174c3
 #2 [c40a1fc0] apic_timer_interrupt at c02de339
    EAX: 00000096  EBX: 00000000  ECX: 00000154  EDX: 08ba34b0 
    DS:  007b      ESI: bff20180  ES:  007b      EDI: 00000011
    SS:  007b      ESP: bff20030  EBP: bff20048
    CS:  0073      EIP: 08059fde  ERR: ffffffef  EFLAGS: 00000202 
crash> 

============================================================
Change status to VERIFIED.
Comment 7 releng-rhel@redhat.com 2010-11-10 15:04:23 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.